#ifndef MYAPPLICATION_H
#define MYAPPLICATION_H

#include <QApplication>

#include "octave/octave.h"
#include "octave/ovl.h"

class QThread;
class octave_value_list;

class MyInterpreter;

#define MyApp static_cast<MyApplication*>(QCoreApplication::instance())

class MyApplication
    : public QApplication
    , public octave::application
{
    Q_OBJECT

public:
    MyApplication(int argc, char **argv);
    ~MyApplication();

    // Required, otherwise is an abstract class
    int execute (void) {return 0;}
private:

    MyInterpreter *m_interpreter;
    QThread *workerThread;
    octave_value_list parameters;

public slots:
    void startInterpreter(void);

signals:
    void launchTestFigure(octave_value_list *args);
};

#endif // MYAPPLICATION_H
