
% This program is free software; you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation; either version 3 of the License, or
% (at your option) any later version.
%
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with this program.  If not, see <http://www.gnu.org/licenses/>.
%
% Generate a plot, save a pdf.


function testFigure(params)

   disp("testFigure.m started.")
   % Initialise figure pane
   figure(params.currentFigure);

   % Some arbitrary data
   xdata = [1 2 3 4 5];

   % Plot first of three axes
   subplot(3, 1, 1);
   scatter(xdata, xdata .^ 2, 20, 'b', 'filled');

   % Plot second of three axes
   subplot(3, 1, 2);
   scatter(xdata, xdata .* 2, 20, 'r', 'filled');

   % Plot a third axes
   subplot(3, 1, 3);
   scatter(xdata, xdata .^ 3, 20, 'g', 'filled');

   % Add a title
   title('Test plots', 'fontsize', 10);

   % Some stdout
   disp("finished plotting");

   % Save plot to pdf
   currentFig = num2str(params.currentFigure);
   currentFigName = strcat('Figure_', currentFig);
   disp( strcat( "Save to ", currentFigName, ".pdf" ) );
   saveas(gcf, [currentFigName, ".pdf"] );
   disp("successfully saved.")

   % Allow user to manually close figure windows
   %close(gcf);
end